Bug 849385 - show-port and conceal-port being called on ha-proxy from running test cases
show-port and conceal-port being called on ha-proxy from running test cases
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Kubernetes (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Rajat Chopra
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-18 21:05 EDT by Dan McPherson
Modified: 2015-05-14 22:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:29:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan McPherson 2012-08-18 21:05:21 EDT
Description of problem:

From running the test cases (devenv test) I see this in the logs:

[14437] DEBUG [REQ_ID=8f8f1bfc4f7744b182a407c91a9c543d] ACTION=EXPOSE_PORT_APPLICATION Application event 'expose-port' successful
[14437] INFO  Completed 200 OK in 3786ms (Views: 147.3ms)
[14437] INFO  Started POST "/broker/rest/domains/d8551608cb/applications/app1/events" for 127.0.0.1 at Sat Aug 18 05:08:03 -0400 2012
[14437] INFO    Processing by AppEventsController#create as JSON
[14437] INFO    Parameters: {"event"=>"show-port", "application_id"=>"app1", "domain_id"=>"d8551608cb", "nolinks"=>"false"}
[14437] DEBUG MongoDataStore.find(CloudUser, test-user11dbd20a28, test-user11dbd20a28)
[14437] DEBUG #<ComponentInstance:0x7f02e97c3c68 @cart_properties=#<BSON::OrderedHash:0x3f8174bf5fec {}>, @cart_data=[""], @parent_component_name="default", @exec_order=[], @dependencies=[], @parent_cart_profile="default", @name="@@app/comp-proxy/cart-haproxy-1.4", @group_instance_name="@@app/comp-proxy/cart-haproxy-1.4", @changed_attributes={"parent_cart_name"=>nil, "group_instance_name"=>nil, "cart_properties"=>nil, "name"=>nil, "dependencies"=>nil, "parent_component_name"=>nil, "exec_order"=>nil, "parent_cart_profile"=>nil, "cart_data"=>[], "parent_cart_group"=>nil}, @parent_cart_name="haproxy-1.4", @parent_cart_group="default">
[14437] DEBUG 
[14437] DEBUG DEBUG: rpc_exec_direct: rpc_client=#<MCollective::RPC::Client:0x7f02e9791b28>
[14437] DEBUG DEBUG: rpc_client.custom_request('cartridge_do', {:cartridge=>"haproxy-1.4", :action=>"show-port", :args=>"'app1' 'd8551608cb' 'db7fd7e98ce84ce991aed9e087595c91'"}, @id, {'identity' => @id})
[14437] DEBUG DEBUG: [#<MCollective::RPC::Result:0x7f02e9bc5370 @results={:statusmsg=>"cartridge_do_action ERROR action 'show-port' not found.", :statuscode=>1, :data=>{:exitcode=>127}, :sender=>"ip-10-100-241-43"}, @action="cartridge_do", @agent="stickshift">]
[14437] DEBUG DEBUG: Cartridge command haproxy-1.4::show-port exitcode = 127

Full log:

https://ci.dev.openshift.redhat.com/jenkins/job/merge_pull_request/215/artifact/li/rhc/log/broker/development.log


Version-Release number of selected component (if applicable):


How reproducible:
Not sure.

Steps to Reproduce:
1. Run devenv test and examine the logs
2.
3.
Comment 1 Dan McPherson 2012-08-18 21:11:57 EDT
And the same thing is happening with conceal-port:


[14437] INFO  Started POST "/broker/rest/domains/d8551608cb/applications/app1/events" for 127.0.0.1 at Sat Aug 18 05:08:15 -0400 2012
[14437] INFO    Processing by AppEventsController#create as JSON
[14437] INFO    Parameters: {"event"=>"conceal-port", "application_id"=>"app1", "domain_id"=>"d8551608cb", "nolinks"=>"false"}
[14437] DEBUG MongoDataStore.find(CloudUser, test-user11dbd20a28, test-user11dbd20a28)
[14437] DEBUG DEBUG: rpc_exec_direct: rpc_client=#<MCollective::RPC::Client:0x7f02e9b0e670>
[14437] DEBUG DEBUG: rpc_client.custom_request('cartridge_do', {:cartridge=>"haproxy-1.4", :action=>"conceal-port", :args=>"'app1' 'd8551608cb' 'db7fd7e98ce84ce991aed9e087595c91'"}, @id, {'identity' => @id})
[14437] DEBUG DEBUG: [#<MCollective::RPC::Result:0x7f02e9a03398 @results={:statusmsg=>"cartridge_do_action ERROR action 'conceal-port' not found.", :statuscode=>1, :data=>{:exitcode=>127}, :sender=>"ip-10-100-241-43"}, @action="cartridge_do", @agent="stickshift">]
[14437] DEBUG DEBUG: Cartridge command haproxy-1.4::conceal-port exitcode = 127
Comment 2 Rajat Chopra 2012-08-19 18:20:51 EDT
Fixed in devenv 2029
with crankcase rev#47cad5a
Comment 3 Peter Ruan 2012-08-20 14:22:41 EDT
latest log does not show the problem.  
https://ci.dev.openshift.redhat.com/jenkins/job/libra_ami/2032/artifact/rhc/log/broker/development.log

Note You need to log in before you can comment on or make changes to this bug.